Debian Bug report logs - #567767
RM: nxml-mode -- RoQA; integrated into emacs23

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Sven Joachim <svenjoac@gmx.de>

Date: Sun, 31 Jan 2010 10:03:01 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, svenjoac@gmx.de, rlb@defaultvalue.org, Chris Lawrence <lawrencc@debian.org>:
Bug#567767; Package nxml-mode. (Sun, 31 Jan 2010 10:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
New Bug report received and forwarded. Copy sent to svenjoac@gmx.de, rlb@defaultvalue.org, Chris Lawrence <lawrencc@debian.org>. (Sun, 31 Jan 2010 10:03:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: nxml-mode: should this package be removed?
Date: Sun, 31 Jan 2010 11:00:34 +0100
Package: nxml-mode
Version: 20041004-8
Severity: serious
User: debian-qa@lists.debian.org
Usertags: proposed-removal

Hi,

the Debian Emacs maintainer wants to remove the emacs22 package from
squeeze which would leave your package uninstallable.  Since nxml-mode
is already part of emacs23, it seems that your package could just be
removed since there is no need for it anymore.

If you agree with this reasoning, please send the following commands
to control@bugs.debian.org, replacing nnnnnn with this bug's number:

severity nnnnnn normal
reassign nnnnnn ftp.debian.org
retitle nnnnnn RM: nxml-mode -- RoM; <reasons>
thanks 

For more information, see
http://wiki.debian.org/ftpmaster_Removals
http://ftp-master.debian.org/removals.txt

Regards,
        Sven




Information forwarded to debian-bugs-dist@lists.debian.org, Chris Lawrence <lawrencc@debian.org>:
Bug#567767; Package nxml-mode. (Mon, 08 Feb 2010 11:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <zack@debian.org>:
Extra info received and forwarded to list. Copy sent to Chris Lawrence <lawrencc@debian.org>. (Mon, 08 Feb 2010 11:12:06 GMT) Full text and rfc822 format available.

Message #10 received at 567767@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <zack@debian.org>
To: 567767@bugs.debian.org
Cc: Sven Joachim <svenjoac@gmx.de>, Chris Lawrence <lawrencc@debian.org>
Subject: Re: Bug#567767: nxml-mode: should this package be removed?
Date: Mon, 8 Feb 2010 12:09:50 +0100
severity 567767 normal
reassign 567767 ftp.debian.org
retitle 567767 RM: nxml-mode -- RoQA; integrated into emacs23
thanks

On Sun, Jan 31, 2010 at 11:00:34AM +0100, Sven Joachim wrote:
> the Debian Emacs maintainer wants to remove the emacs22 package from
> squeeze which would leave your package uninstallable.  Since nxml-mode
> is already part of emacs23, it seems that your package could just be
> removed since there is no need for it anymore.
> 
> If you agree with this reasoning, please send the following commands
> to control@bugs.debian.org, replacing nnnnnn with this bug's number:

AFAICT, the maintainer (Cc-ed) has already acknowledged in the past that
nxml-mode will be no longer needed starting from emacs23, by
specializing the dependencies of the nxml-mode on emacs22 only
(i.e. emacs23 will not satisfy nxml-mode deps). Hence the package can
safely be removed from the archive, given that emacs22 will be gone too.

TIA,
Cheers.

-- 
Stefano Zacchiroli -o- PhD in Computer Science \ PostDoc @ Univ. Paris 7
zack@{upsilon.cc,pps.jussieu.fr,debian.org} -<>- http://upsilon.cc/zack/
Dietro un grande uomo c'è ..|  .  |. Et ne m'en veux pas si je te tutoie
sempre uno zaino ...........| ..: |.... Je dis tu à tous ceux que j'aime




Severity set to 'normal' from 'serious' Request was from Stefano Zacchiroli <zack@debian.org> to control@bugs.debian.org. (Mon, 08 Feb 2010 11:12:08 GMT) Full text and rfc822 format available.

Bug reassigned from package 'nxml-mode' to 'ftp.debian.org'. Request was from Stefano Zacchiroli <zack@debian.org> to control@bugs.debian.org. (Mon, 08 Feb 2010 11:12:09 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions nxml-mode/20041004-8. Request was from Stefano Zacchiroli <zack@debian.org> to control@bugs.debian.org. (Mon, 08 Feb 2010 11:12:10 GMT) Full text and rfc822 format available.

Changed Bug title to 'RM: nxml-mode -- RoQA; integrated into emacs23' from 'nxml-mode: should this package be removed?' Request was from Stefano Zacchiroli <zack@debian.org> to control@bugs.debian.org. (Mon, 08 Feb 2010 11:12:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#567767; Package ftp.debian.org. (Tue, 09 Feb 2010 23:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris Lawrence <lawrencc@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Tue, 09 Feb 2010 23:57:07 GMT) Full text and rfc822 format available.

Message #23 received at 567767@bugs.debian.org (full text, mbox):

From: Chris Lawrence <lawrencc@debian.org>
To: Stefano Zacchiroli <zack@debian.org>, 567767@bugs.debian.org, Sven Joachim <svenjoac@gmx.de>
Subject: Re: Bug#567767: nxml-mode: should this package be removed?
Date: Tue, 9 Feb 2010 17:55:59 -0600
On Mon, Feb 8, 2010 at 5:09 AM, Stefano Zacchiroli <zack@debian.org> wrote:
> severity 567767 normal
> reassign 567767 ftp.debian.org
> retitle 567767 RM: nxml-mode -- RoQA; integrated into emacs23
> thanks
>
> AFAICT, the maintainer (Cc-ed) has already acknowledged in the past that
> nxml-mode will be no longer needed starting from emacs23, by
> specializing the dependencies of the nxml-mode on emacs22 only
> (i.e. emacs23 will not satisfy nxml-mode deps). Hence the package can
> safely be removed from the archive, given that emacs22 will be gone too.

Yes, given that emacs22 is going away and nxml-mode was never
compatible with XEmacs (as far as I can remember), the only other
potential need, removing the standalone nxml-mode package from the
archive is fine.


Chris




Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Wed, 10 Feb 2010 22:18:10 GMT) Full text and rfc822 format available.

Notification sent to Sven Joachim <svenjoac@gmx.de>:
Bug acknowledged by developer. (Wed, 10 Feb 2010 22:18:10 GMT) Full text and rfc822 format available.

Message #28 received at 567767-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 567767-close@bugs.debian.org
Cc: nxml-mode@packages.debian.org, nxml-mode@packages.qa.debian.org
Subject: Bug#567767: Removed package(s) from unstable
Date: Wed, 10 Feb 2010 22:14:48 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

 nxml-mode | 20041004-8 | source, all

------------------- Reason -------------------
RoQA; integrated into emacs23
----------------------------------------------

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are usually not removed from testing by hand. Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems. The release team can force a removal from testing if it is
really needed, please contact them if this should be the case.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 567767@bugs.debian.org.

The full log for this bug can be viewed at http://bugs.debian.org/567767

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Torsten Werner (the ftpmaster behind the curtain)




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 11 Mar 2010 07:33:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 19:54:11 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.